export class ProtectedString {
  private value: string;

  constructor(input: string) {
    Object.defineProperty(this, 'value', {
      writable: true,
      enumerable: false,
      configurable: false,
    });

    this.value = input;
  }

  public getDecryptedText(): string {
    return this.value;
  }

  public toString(): never {
    throw new Error('UNABLE TO LOG ENCRYPTED DATA');
  }
}
