export class UnknownDapiError extends Error {
  constructor(message?: string) {
    super('Unknown Data API' + (message ? `: ${message}` : ''));
    Object.setPrototypeOf(this, UnknownDapiError.prototype);
  }
}
