import {Key} from '../../../liza-crypto';

export type Secret = {
  name: string;
  version: number;
};

type GetSecret = (service: string) => Promise<Key>;
type ListSecretVersions = (service: string) => Promise<Secret[]>;

export interface SecretStore {
  getSecret: GetSecret;
  listSecretVersions: ListSecretVersions;
}
