import {expect} from 'chai';
import * as Sut from '../../src/validate/ProgramChangeValidation';

describe('ProgramChangeValidate', () => {
  describe('generateValidationMessages', () => {
    it('generates messages', () => {
      const messages = {};

      const failures = {
        foo: [1, 2],
        bar: [1, 2, 3],
      };

      Sut.generateValidationMessages(messages, failures);

      expect(messages).to.not.eq(failures);
      expect(messages).to.deep.eq(failures);
    });
  });
});
